Subject: DLSw NetView Support

From: Paul Gacek <[email-masked]>
Date: 18 Jul 93 14:22:22 EDT

NetView Support

As Shannon points out NetView support can mean many things. I am thinking
 of two basic forms; DLSw boxes reporting events (via alerts) and DLSw 
boxes being managed by a NetView operator (via Runcmds and the like). 

At a minimum, it seems sensible that vendor's DLSw boxes report the same 
type of event to NetView in a similar fashion (i.e. result in the same 
error text and codes displayed to the NetView operator).

Lots of events and corresponding alerts are defined in the SNA MS 
Reference. We should reach agreement on which ones are used by DLSw 
boxes but in addition specify alerts for DLSw specific conditions. 
Finally, given that DLSw introduces more boxes into a network path 
I believe we need to agree how the resource hierarchy list subvector 
and subfields are used.

1. ALERTS

We need to agree which DLSw specific events are appropriate to report 
to NetView and the alert format used.

1.1 Reportable Events

Some potential candidates are:

	a. DLSw box active/inactive
	b. Transport connection active/inactive
	c. Port active/inactive

1.2 Alert Format

Alerts are made up of combinations of subvectors and subfields and 
therefore agreement has to be reached on which subs are used and 
which specific code points (out of a vast set of potentials) are used.

Some of the available subvectors are:

	Mandatory
		Date/time (01)
		Hierarchy/Resource List (05)
		PSID (10)
		Generic alert data (92)
		Probable Cause (93)
		User Cause (94)
		Install Cause (95)
		Failure Cause (96)

	Optional
		Self defining text (31)
		LAN Link Connection Subsystem data (51)
		SDLC Link Station Data (8C)
		Detailed data (98)
		Recommeded Action (81)

2. NETVIEW ISSUED MANAGEMENT COMMANDS

NetView has available a number of mechanisms to control operations at 
a Service Point (i.e. a DLSw box). These are Runcmd, LinkPD, LinkData, 
LinkTest.

2.1 Runcmd

The Runcmd allows an operator to issue a command via NetView for 
execution at a DLSw box. We could try and reach agreement on the 
types of operations and commands that are needed to effect these 
operations. I realize this is potentially a thorny area as it is 
very wrapped up in vendor management philosophy and product 
implementation.

2.1.1 Operations

Some potential operations are:

	Port activation/deactivation
	Link Station activation/deactivation
	Purge the mac addr/ip addr cache

2.1.2 Syntax of operation

Once again this is potentially very vendor specific but could have 
something styled after VTAM commands i.e. VARY INACT ID=PORT1

2.2 LinkPD

Request problem determination be executed at a port

2.3 LinkData

2.4 LinkTest

Request a physical link test be initiated 

So what is everybodies thoughts and comments on the value and effort 
involved in defining NetView support?

Regards Paul Gacek
Novell